Bug 20089 - g++ -- Internal error: Segmentation fault
Summary: g++ -- Internal error: Segmentation fault
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-31 11:18 UTC by Nikolaj Logvinov
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-02 14:29:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2000:132 normal SHIPPED_LIVE Bug fixing update of GCC 2.96 2000-12-19 05:00:00 UTC

Description Nikolaj Logvinov 2000-10-31 11:18:21 UTC
The following code generate internal g++ compiler fault during compilation:
file y.cc:

class A {
  class B {
  };
};

void
A::B::f() {
}

with the following diagnostics:

y.cc:7: no `void A::B::f ()' member function declared in class `A::B'
y.cc:7: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Regards,
Nikolaj Logvinov

Comment 1 Jakub Jelinek 2000-11-02 14:29:45 UTC
Will be fixed in gcc-2.96-63 (is fixed in my tree).


Note You need to log in before you can comment on or make changes to this bug.